CREATE TABLE cst_upg_new_book_adjs_int (
    UPG_ADJ_ID                   NUMBER(18, 0) ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    CST_INV_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    ADJUSTMENT_TRANSACTION_ID    NUMBER(18, 0)     NOT NULL,
    COST_ORG_ID                  NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                 NUMBER(18, 0)     NOT NULL,
    TXN_QTY                      NUMBER        ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    UPG_ADJ_ID                   NUMBER(18, 0) ,
    CST_INV_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    ADJUSTMENT_TRANSACTION_ID    NUMBER(18, 0)     NOT NULL,
    COST_ORG_ID                  NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                 NUMBER(18, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    TXN_QTY                      NUMBER        ,
    CONSTRAINT pk_cst_upg_new_book_adjs_int PRIMARY KEY (UPG_ADJ_ID, UPG_ADJ_ID)
);
